Get monitors
Base URL
https://{kibana_url}
GET
/api/synthetics/monitors
Auth
Get a list of monitors.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
Expand all
filter
string
Additional filtering criteria.
locations
union string | string []
The locations to filter by.
monitorTypes
union enum | enum []
The monitor types to filter.
Values:
browser
http
icmp
tcp
page
integer
The page number for paginated results.
per_page
integer
The number of items to return per page.
projects
union string | string []
The projects to filter by.
query
string
A free-text query string.
schedules
union string [] | string
The schedules to filter by.
sortField
enum
The field to sort the results by.
Values:
name
createdAt
updatedAt
status
sortOrder
enum
The sort order.
Values:
asc
desc
status
union string [] | string
The status to filter by.
tags
union string | string []
Tags to filter monitors.
useLogicalAndFor
union enum | enum []
Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.
Values:
tags
locations
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/synthetics/monitors
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/synthetics/monitors" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
A successful response from GET /api/synthetics/monitors?tags=prod&monitorTypes=http&locations=us-east-1&projects=project1&status=up.
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
{
"page": 1,
"total": 24,
"monitors": [
{
"type": "icmp",
"enabled": false,
"alert": {
"status": {
"enabled": true
},
"tls": {
"enabled": true
}
},
"schedule": {
"number": "3",
"unit": "m"
},
"config_id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
"timeout": "16",
"name": "8.8.8.8:80",
"locations": [
{
"id": "us_central",
"label": "North America - US Central",
"geo": {
"lat": 41.25,
"lon": -95.86
},
"isServiceManaged": true
}
],
"namespace": "default",
"origin": "ui",
"id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
"max_attempts": 2,
"wait": "7",
"revision": 3,
"mode": "all",
"ipv4": true,
"ipv6": true,
"created_at": "2023-11-07T09:57:04.152Z",
"updated_at": "2023-12-04T19:19:34.039Z",
"host": "8.8.8.8:80"
}
],
"absoluteTotal": 24,
"perPage": 10,
}